Subject: Re: [PATCH 1/1] signature-format.txt: add space to fix gpgsig continuation line

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Oct 2021 09:54:24 -0700

Jeff King <[email-masked]> writes:

>>     In the following example, the end of line that ends with a
>>     whitespace letter is highlighted with a "$" sign; if you are
>>     trying to recreate these example by hand, do not cut and paste
>>     them---they are there primarily to highlight extra whitespace at
>>     the end of some lines.
>> 
>> before a displayed material like this:
>> 
>>   committer C O Mitter <[email-masked]> 1465981137 +0000
>>   gpgsig -----BEGIN PGP SIGNATURE-----
>>    Version: GnuPG v1
>>    $
>>    iQEcBAABAgAGBQJXYRjRAAoJEGEJLoW3InGJ3IwIAIY4SA6GxY3BjL60YyvsJPh/
>>    HRCJwH+w7wt3Yc/9/bW2F+gF72kdHOOs2jfv+OZhq0q4OAN6fvVSczISY/82LpS7
>>    DVdMQj2/YcHDT4xrDNBnXnviDO9G7am/9OE77kEbXrp7QPxvhjkicHNwy2rEflAA
>> 
>> perhaps?
>
> ...coupled with the explanation you gave is not too bad. I had thought
> to maybe do something like:
>
>    gpgsig -----BEGIN PGP SIGNATURE-----
>    _Version: GnuPG v1
>    _
>    _iQEcBAABAgAGBQJXYRjRAAoJEGEJLoW3InGJ3IwIAIY4SA6GxY3BjL60YyvsJPh/
>    _HRCJwH+w7wt3Yc/9/bW2F+gF72kdHOOs2jfv+OZhq0q4OAN6fvVSczISY/82LpS7
>    _DVdMQj2/YcHDT4xrDNBnXnviDO9G7am/9OE77kEbXrp7QPxvhjkicHNwy2rEflAA
>
> but that is pretty ugly. I like yours much better.

Yes, I did consider a replacement for SP and rejected for the same
reason as you did.  We could use the same "we only show the 'here is
a SP' sign when the presence of the SP cannot be seen" convention to
make it less distracting, but I think '$' taken from "cat -e"
probably is easier to see and understand for those who are the
target audience of anything in Documentation/technical/ hierarchy.

Thanks.